Subject: [Ipsec] Keys used in authentication of the IKE_SA in IKEv2

From: Salekul Islam <[email-masked]>
Date: Sun, 14 Jan 2007 19:53:52 +0000

Hi All,I have a question regarding the authentication of the IKE_SA in IKEv2. In section 2.15 of RFC 4306, it is stated that, "When not using extensible authentication, the peers are authenticated by having each sign (or MAC using a shared secret as the key) a block of data". Which public-private keys will be used by the peers to sign? If no certificate is exchanged by the [CERT] payload (which is optional), how the receiving peer will verify the signature or will get the public key of the other peer? Is there any use of SK_pi or SK_pr in signing or generating AUTH payload while authentication is being performed through assymetric keys? I get the idea that SK_pi and SK_pr are used only in shared secret or symmetric key authentication. I hope, someone will clarify the issue. Thank you in advance.Regards,Salekul
_________________________________________________________________
Be one of the first to try Windows Live Mail.
http://ideas.live.com/programpage.aspx?versionId=5d21c51a-b161-4314-9b0e-4911fb2b2e6d

_______________________________________________
Ipsec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipsec

---

From: Liu Ya <[email-masked]>
Date: Mon, 15 Jan 2007 09:11:17 +0800

Hi Salekul, 

> Hi All,
> 
> I have a question regarding the authentication of the IKE_SA 
> in IKEv2. In section 2.15 of RFC 4306, it is stated that, 
> "When not using extensible authentication, the peers are 
> authenticated by having each sign (or MAC using a shared 
> secret as the key) a block of data". 
> 
> Which public-private keys will be used by the peers to sign? 
> If no certificate is exchanged by the [CERT] payload (which 
> is optional), how the receiving peer will verify the 
> signature or will get the public key of the other peer? 
> 

RFC4306 Section 3.6 writes:
       ... Certificate payloads SHOULD be included in an exchange if 
       certificates are available to the sender unless the peer has 
       indicated an ability to retrieve this information from
elsewhere 
       using an HTTP_CERT_LOOKUP_SUPPORTED Notify payload.

> Is there any use of SK_pi or SK_pr in signing or generating 
> AUTH payload while authentication is being performed through 
> assymetric keys? I get the idea that SK_pi and SK_pr are used 
> only in shared secret or symmetric key authentication. 
> 

SK_xx is not for peer authentication purpose, so can not be used to
generate AUTH payload. Please see RFC4306 Section 3.14 for more
details.

Regards,
Liu Ya

> I hope, someone will clarify the issue. Thank you in advance.
> 
> Regards,
> Salekul
> 
> 
> ________________________________
> 
> Be one of the first to try Windows Live Mail. Windows Live 
> Mail. 
> <http://ideas.live.com/programpage.aspx?versionId=5d21c51a-b16
> 1-4314-9b0e-4911fb2b2e6d> 
>

---

From: Ali Fessi <[email-masked]>
Date: Mon, 15 Jan 2007 10:47:23 +0100

Hi,

> generate AUTH payload. Please see RFC4306 Section 3.14 for more

SK_pi and SK_pr *are* used for authentication purposes. Please see 
RFC4306 Section 2.15.

They are used in both cases: with certificates and with pre-shared key.

Best regards,
  Ali